View Issue Details

IDProjectCategoryView StatusLast Update
0003404unrealinstallingpublic2007-06-27 07:37
ReporterBockAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSwin32OS Version2003
Product Version3.2.7-RC1 
Target VersionFixed in Version3.2.7-RC1 
Summary0003404: can't compililng 3.2.7-rc1
DescriptionErrors on compiling:
on ircd.c:

        cl /MD /Zi /I ""e:\dev\curl\include"" /I ""e:\dev\zlib-1.2.3"" /I ""e:\d
ev\openssl-lib\inc32"" /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
/D ZIP_LINKS /D ZLIB_DLL /D USE_LIBCURL /D FD_SETSIZE=16384 /D USE_SSL /D NOSPO
OF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _USE_32BIT_T
IME_T src/ircd.c
ircd.c
src\ircd.c(100) : error C2061: syntax error : identifier 'irc_uid'
src\ircd.c(100) : error C2059: syntax error : ';'
src\ircd.c(100) : error C2513: '/*global*/ ' : no variable declared before '='
src\ircd.c(101) : error C2061: syntax error : identifier 'irc_gid'
src\ircd.c(101) : error C2059: syntax error : ';'
src\ircd.c(101) : error C2513: '/*global*/ ' : no variable declared before '='
NMAKE : fatal error U1077: 'cl' : return code '0x2'
Stop.

fix:
#ifndef _WIN32
uid_t irc_uid = 0;
gid_t irc_gid = 0;
#endif

on m_chghost:

M_CHGHOST.C
src\modules\m_chghost.c(156) : error C2143: syntax error : missing ';' before 't
ype'
src\modules\m_chghost.c(160) : error C2065: 'did_parts' : undeclared identifier
src\modules\m_chghost.c(160) : warning C4022: 'free' : pointer mismatch for actu
al parameter 1
src\modules\m_chghost.c(170) : warning C4022: 'free' : pointer mismatch for actu
al parameter 1
src\modules\m_chghost.c(180) : warning C4022: 'free' : pointer mismatch for actu
al parameter 1
src\modules\m_chghost.c(185) : warning C4047: 'function' : 'char *' differs in l
evels of indirection from 'int'
src\modules\m_chghost.c(214) : warning C4047: 'function' : 'char *' differs in l
evels of indirection from 'int'
src\modules\m_chghost.c(215) : warning C4022: 'free' : pointer mismatch for actu
al parameter 1
TagsNo tags attached.
3rd party modules

Relationships

child of 0003111 closed 3.2.7 Release 

Activities

Bock

2007-06-26 15:02

reporter   ~0014415

error only on 2 modules:
M_CHGHOST.C
src\modules\m_chghost.c(156) : error C2143: syntax error : missing ';' before 't
ype'
src\modules\m_chghost.c(185) : error C2065: 'did_parts' : undeclared identifier
src\modules\m_chghost.c(185) : warning C4047: 'function' : 'char *' differs in l
evels of indirection from 'int'
src\modules\m_chghost.c(214) : warning C4047: 'function' : 'char *' differs in l
evels of indirection from 'int'
M_SDESC.C
M_SETIDENT.C
M_SETNAME.C
M_SETHOST.C
M_CHGIDENT.C
src\modules\m_chgident.c(168) : error C2143: syntax error : missing ';' before '
type'
src\modules\m_chgident.c(191) : error C2065: 'did_parts' : undeclared identifier

src\modules\m_chgident.c(191) : warning C4047: 'function' : 'char *' differs in
levels of indirection from 'int'
src\modules\m_chgident.c(215) : warning C4047: 'function' : 'char *' differs in
levels of indirection from 'int'
M_SVSMOTD.C

all other modules compiling fine.

Bock

2007-06-27 01:47

reporter   ~0014422

fix for m_chgident and m_chghost:
m_chghost.c.diff
--- m_chghost.c.old 2007-04-25 15:33:43.000000000 +0300
+++ m_chghost.c 2007-06-27 09:46:26.000000000 +0300
@@ -146,14 +146,15 @@

        if ((acptr = find_person(parv[1], NULL)))
        {
+ DYN_LOCAL(char, did_parts, acptr->user->joined);
                if (MyClient(sptr) && (IsLocOp(sptr) && !MyClient(acptr)))
                {
                        sendto_one(sptr, err_str(ERR_NOPRIVILEGES), me.name,
                                parv[0]);
+ DYN_FREE(did_parts);
                        return 0;
                }

- DYN_LOCAL(char, did_parts, acptr->user->joined);
                if (!strcmp(GetHost(acptr), parv[2]))
                {
                        sendnotice(sptr, "*** /ChgHost Error: requested host is same as current host.");


m_chgident.c.diff
--- m_chgident.c.old 2007-04-25 15:33:43.000000000 +0300
+++ m_chgident.c 2007-06-27 09:45:49.000000000 +0300
@@ -158,14 +158,15 @@

        if ((acptr = find_person(parv[1], NULL)))
        {
+ DYN_LOCAL(char, did_parts, acptr->user->joined);
                if (MyClient(sptr) && (IsLocOp(sptr) && !MyClient(acptr)))
                {
                        sendto_one(sptr, err_str(ERR_NOPRIVILEGES), me.name,
                                parv[0]);
+ DYN_FREE(did_parts);
                        return 0;
                }

- DYN_LOCAL(char, did_parts, acptr->user->joined);
                switch (UHOST_ALLOWED)
                {
                        case UHALLOW_NEVER:

stskeeps

2007-06-27 07:37

reporter   ~0014423

Fixed.

Issue History

Date Modified Username Field Change
2007-06-26 14:24 Bock New Issue
2007-06-26 14:59 stskeeps Relationship added child of 0003111
2007-06-26 14:59 stskeeps Status new => acknowledged
2007-06-26 15:02 Bock Note Added: 0014415
2007-06-27 01:47 Bock Note Added: 0014422
2007-06-27 07:37 stskeeps Status acknowledged => resolved
2007-06-27 07:37 stskeeps Fixed in Version => 3.2.7-RC1
2007-06-27 07:37 stskeeps Resolution open => fixed
2007-06-27 07:37 stskeeps Assigned To => stskeeps
2007-06-27 07:37 stskeeps Note Added: 0014423